commit:     ee5b79ba3f13bfd01da9ba6c9a0abf9389ec7ba8
Author:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
AuthorDate: Mon Aug 15 07:25:16 2016 +0000
Commit:     Mikhail Pukhlikov <cynede <AT> gentoo <DOT> org>
CommitDate: Mon Aug 15 07:26:07 2016 +0000
URL:        https://gitweb.gentoo.org/repo/gentoo.git/commit/?id=ee5b79ba

dev-lang/mono: bump to 4.6.0.125

Package-Manager: portage-2.3.0

 dev-lang/mono/Manifest              |   1 +
 dev-lang/mono/mono-4.6.0.125.ebuild | 114 ++++++++++++++++++++++++++++++++++++
 2 files changed, 115 insertions(+)

diff --git a/dev-lang/mono/Manifest b/dev-lang/mono/Manifest
index aa3d43f..88a8ded 100644
--- a/dev-lang/mono/Manifest
+++ b/dev-lang/mono/Manifest
@@ -3,3 +3,4 @@ DIST mono-3.12.1.tar.bz2 73487974 SHA256 
5d8cf153af2948c06bc9fbf5088f6834868e4db
 DIST mono-4.0.5.1.tar.bz2 96533206 SHA256 
c2f42944dded3196c6449f90e79990f1951070a361a0dcc2350fc56e945bc229 SHA512 
c0783f7b2e344ca00ea354d2723821636a2594345f7e1fd93bf84e9ba1b5501848d4f49b1538279aac9f6f333d296394322e08a9749fe2208340104aa594cd09
 WHIRLPOOL 
ae9b0758c019003fc9ecdbd051974d547c59c24a4505e71c1fc7db8095bc98cdb486405e2ba1794bfb34ecc6bebeb8b5165a97ba8f596897887eb7f2da806b89
 DIST mono-4.4.0.148.tar.bz2 84897767 SHA256 
38ad527608c26b2637472602d91d6af203dc4202be915e583fdc9e3a9252a5f3 SHA512 
c1e0a7d589cc181fcfe36006879362ad0f5fca0d903fef723f7c4ed68dbd1eb2a7526b2e44c23f2b4c7b1cbcadeae6c7b004aab0643f09dc32640776892c3a22
 WHIRLPOOL 
9ada86d6026c0a139929a41b11e8849b7545f44be93ffa9c316a2877927d1883419bfb7f3aeb3b1dc593d6f9c0fe6e154e7e30285e70d25c75990c31ec704c85
 DIST mono-4.4.1.0.tar.bz2 85897587 SHA256 
165e7686b5cbb1ab671b4cb2069207999c3d70044002190b6ec84bb1fdf62b4a SHA512 
d9b6c57c2d9327ea551083b81a2e6cc222ded9a04862056b0dfded1c5df56efbfc4960097df034595012231fe50d172174ab7b3e3f2d8c4c6953ab2106b1cb6a
 WHIRLPOOL 
99f16622c6d1902a7efff41d55d114ed214979c1d902a5dcbc257c180a1e68ed519beb5383db2358096e3f8425483983565c8f438552de36ffabe4bfad3f5fbd
+DIST mono-4.6.0.125.tar.bz2 100227098 SHA256 
700d4d26f6b09c542c172ec2398e6047f479980e2542746e58dccf95001cbd10 SHA512 
6f5df66021c472808a5c3c6b43dcb89c9f3616b95ded63cf6b5e69b39bfcbfaa673a3bae8ec62c1dd87629bbafa039177242730f79a18d8fd44f455325913e99
 WHIRLPOOL 
f118ec3bf4829ebe83c36909e800fd64f30e1f3a4bea96698d030b8f5120e4062f5def30717a50185f1fddabbd123a5c4440ea80fde51f7a82e7c403beadffc6

diff --git a/dev-lang/mono/mono-4.6.0.125.ebuild 
b/dev-lang/mono/mono-4.6.0.125.ebuild
new file mode 100644
index 0000000..a228416
--- /dev/null
+++ b/dev-lang/mono/mono-4.6.0.125.ebuild
@@ -0,0 +1,114 @@
+# Copyright 1999-2016 Gentoo Foundation
+# Distributed under the terms of the GNU General Public License v2
+# $Id$
+
+EAPI=6
+
+inherit eutils linux-info mono-env flag-o-matic pax-utils versionator 
multilib-minimal
+
+DESCRIPTION="Mono runtime and class libraries, a C# compiler/interpreter"
+HOMEPAGE="http://www.mono-project.com/Main_Page";
+SRC_URI="http://download.mono-project.com/sources/${PN}/${P}.tar.bz2";
+
+LICENSE="MIT LGPL-2.1 GPL-2 BSD-4 NPL-1.1 Ms-PL GPL-2-with-linking-exception 
IDPL"
+SLOT="0"
+
+KEYWORDS="~amd64 ~ppc ~ppc64 ~x86 ~amd64-linux"
+
+IUSE="nls minimal pax_kernel xen doc"
+
+COMMONDEPEND="
+       !minimal? ( >=dev-dotnet/libgdiplus-2.10 )
+       ia64? ( sys-libs/libunwind )
+       nls? ( sys-devel/gettext )
+"
+RDEPEND="${COMMONDEPEND}
+       || ( www-client/links www-client/lynx )
+"
+DEPEND="${COMMONDEPEND}
+       sys-devel/bc
+       virtual/yacc
+       pax_kernel? ( sys-apps/elfix )
+       !dev-lang/mono-basic
+"
+
+S="${WORKDIR}/${PN}-$(get_version_component_range 1-3)"
+
+pkg_pretend() {
+       # 
https://github.com/gentoo/gentoo/blob/f200e625bda8de696a28338318c9005b69e34710/eclass/linux-info.eclass#L686
+       # If CONFIG_SYSVIPC is not set in your kernel .config, mono will hang 
while compiling.
+       # See http://bugs.gentoo.org/261869 for more info."
+       CONFIG_CHECK="SYSVIPC"
+       use kernel_linux && check_extra_config
+}
+
+pkg_setup() {
+       linux-info_pkg_setup
+       mono-env_pkg_setup
+}
+
+src_prepare() {
+       # we need to sed in the paxctl-ng -mr in the runtime/mono-wrapper.in so 
it don't
+       # get killed in the build proces when MPROTECT is enable. #286280
+       # RANDMMAP kill the build proces to #347365
+       # use paxmark.sh to get PT/XT logic #532244
+       if use pax_kernel ; then
+               ewarn "We are disabling MPROTECT on the mono binary."
+
+               # issue 9 : https://github.com/Heather/gentoo-dotnet/issues/9
+               sed '/exec "/ i\paxmark.sh -mr "$r/@mono_runtime@"' -i 
"${S}"/runtime/mono-wrapper.in || die "Failed to sed mono-wrapper.in"
+       fi
+
+       # mono build system can fail otherwise
+       strip-flags
+
+       # Fix VB targets
+       # http://osdir.com/ml/general/2015-05/msg20808.html
+       #eapply "${FILESDIR}/add_missing_vb_portable_targets.patch"
+
+       # Fix build when sgen disabled
+       # https://bugzilla.xamarin.com/show_bug.cgi?id=32015
+       #eapply 
"${FILESDIR}/${PN}-4.0.2.5-fix-mono-dis-makefile-am-when-without-sgen.patch"
+
+       # TODO: update patch
+       # Fix atomic_add_i4 support for 32-bit ppc
+       # 
https://github.com/mono/mono/compare/f967c79926900343f399c75624deedaba460e544^...8f379f0c8f98493180b508b9e68b9aa76c0c5bdf
+       #epatch "${FILESDIR}/${PN}-4.0.2.5-fix-ppc-atomic-add-i4.patch"
+
+       # TODO: update patch
+       #epatch "${FILESDIR}/systemweb3.patch"
+       #epatch 
"${FILESDIR}/fix-for-GitExtensions-issue-2710-another-resolution.patch"
+       #epatch "${FILESDIR}/fix-for-bug36724.patch"
+
+       default
+       #eapply_user
+       multilib_copy_sources
+}
+
+multilib_src_configure() {
+       local myeconfargs=(
+               --disable-silent-rules
+               $(use_with xen xen_opt)
+               --without-ikvm-native
+               --disable-dtrace
+               $(use_with doc mcs-docs)
+               $(use_enable nls)
+       )
+
+       econf "${myeconfargs[@]}"
+}
+
+multilib_src_test() {
+       cd mcs/tests || die
+       emake check
+}
+
+multilib_src_install() {
+       default_src_install
+
+       # Remove files not respecting LDFLAGS and that we are not supposed to 
provide, see Fedora
+       # mono.spec and 
http://www.mail-archive.com/mono-devel-list@lists.ximian.com/msg24870.html
+       # for reference.
+       rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mscorlib.dll.so || die
+       rm -f "${ED}"/usr/lib/mono/{2.0,4.5}/mcs.exe.so || die
+}

Reply via email to